// pages/hotProduct/hotProduct.js
const api = require('../../api/index')

import { $startWuxRefresher, $stopWuxRefresher,$stopWuxLoader} from '../../miniprogram_npm/wux-weapp/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    keyword:'',
    tableData:[],
    queryParams:{
      current:1,
      size:10
    },
    total:25,
    loading:false,
    scrolltop: 20,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    
  },


/**
   * 页面功能实现的区域
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[]
      }
    )
    this.getProductList()
  },
  //下拉
  onPulling() {
    console.log('onPulling')
  },
  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.init()
  },

  //获取爆款产品
  getProductList(){
    var params = this.data.queryParams
    wx.showLoading({
      title: '加载中',
    })
    api.queryHotProduct(params).then(res=>{
      if(res.code == 200){
        if(res.data.data.length>0){
          var data = this.data.tableData.concat(res.data.data)
          this.setData(
            {
              tableData:data,
              total:res.data.total
            }
          )
        }
        setTimeout(() => {
          $stopWuxRefresher()
        }, 1000)
      }
    })
    
  },
  //加载更多
  loadMore(){
    var current = this.data.queryParams.current
    this.setData(
      {
        ['queryParams.current']:current+1
      }
    )
    this.getProductList()
  },
   //修改输入的关键词
   changeKeyword(e){
    this.setData(
      {
        keyword:e.detail
      }
    )
  },
  //检索
  search(e){

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    console.log('下拉')
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    console.log('上拉')
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})